

//*********************************************************************************
// These settings has been generated for use with TI-RTOS and cc13xxware
//
// Generated by SmartRF Studio version 2.2.0
// Tested with TI-RTOS version tirtos_simplelink_2_14_02_22
//
//*********************************************************************************


//*********************************************************************************
// Parameter summary
// Frequency: 868.00000 MHz
// Data Format: Serial mode disable
// Deviation: 250.000 kHz
// Packet Length Config: Variable
// Max Packet Length: 125
// Packet Length: 30
// RX Filter BW: 2.8MHz
// Symbol Rate: 1MBPS
// Sync Word Length: 32 Bits
// Whitening: No whitening

#include <driverlib/rf_mailbox.h>
#include <driverlib/rf_common_cmd.h>
#include <driverlib/rf_prop_cmd.h>
#include <ti/drivers/rf/RF.h>
#include <rf_patches/rf_patch_cpe_genfsk.h>


// TI-RTOS RF Mode Object
RF_Mode RF_prop =
{
    .rfMode = RF_MODE_PROPRIETARY,
    .cpePatchFxn = &rf_patch_cpe_genfsk,
    .mcePatchFxn = 0,
    .rfePatchFxn = 0,
};

// Overrides for CMD_PROP_RADIO_DIV_SETUP, 1MBPS mode
uint32_t pOverrides[] =
{
// override_synth.xml
    MCE_RFE_OVERRIDE(0,0,0,0,0,0),   // 1Mbps / BLE PHY selected
    HW_REG_OVERRIDE(0x50c0,0x147A),  // RX-IF must be adjusted due to Divider5
    (uint32_t)0x0343,                // TX-IF = 0
    HW32_ARRAY_OVERRIDE(0x4038,1),
    (uint32_t)0x0000003A,
    HW_REG_OVERRIDE(0x4020,0x7F00),
    HW_REG_OVERRIDE(0x4064,0x0040),
    (uint32_t)0x000684A3,
    (uint32_t)0xC0040141,
    (uint32_t)0x0533B107,
    (uint32_t)0x0A480583,
    (uint32_t)0x7AB80603,
    ADI_REG_OVERRIDE(1,4,0x1F),
    ADI_HALFREG_OVERRIDE(1,7,0x4,0x4),
    (uint32_t)0x00038883,
    //Scaling of the filter in the matched receive filter for BLE
    HW_REG_OVERRIDE(0x50F0,0x0400),         // DEMMAFI0 filter coeffisents for 1 Mbps, 250 kHz deviation
    HW_REG_OVERRIDE(0x50F4,0x7B20),         // DEMMAFI1 filter coeffisents for 1 Mbps, 250 kHz deviation
    HW_REG_OVERRIDE(0x50F8,0x00C1),         // DEMMAFI2 filter coeffisents for 1 Mbps, 250 kHz deviation
    // TX power override
    ADI_REG_OVERRIDE(0,12,0xF9),
    (uint32_t)0xFFFFFFFF,
};


/* CMD_PROP_RADIO_DIV_SETUP */
rfc_CMD_PROP_RADIO_DIV_SETUP_t RF_cmdPropRadioDivSetup =
{
    .commandNo                  = 0x3807,
    .status                     = 0x0000,
    .pNextOp                    = 0, /*INSERT APPLICABLE POINTER: (uint8_t*)&xxx */
    .startTime                  = 0x00000000,
    .startTrigger.triggerType   = 0x0,
    .startTrigger.bEnaCmd       = 0x0,
    .startTrigger.triggerNo     = 0x0,
    .startTrigger.pastTrig      = 0x0,
    .condition.rule             = 0x1,
    .condition.nSkip            = 0x0,
    .modulation.modType         = 0x1,
    .modulation.deviation       = 0x3E8,
    .symbolRate.preScale        = 0xC,
    .symbolRate.rateWord        = 0x80000,
    .rxBw                       = 0x81,//2.8 MHz  1 Mbps/BLE PHY need this for 868 MHz and Divider5
    .preamConf.nPreamBytes      = 0x4,
    .preamConf.preamMode        = 0x0,
    .formatConf.nSwBits         = 0x20,
    .formatConf.bBitReversal    = 0x0,
    .formatConf.bMsbFirst       = 0x1,
    .formatConf.fecMode         = 0x0,
    .formatConf.whitenMode      = 0x1,
    .config.frontEndMode        = 0x0,
    .config.biasMode            = 0x1,
    .config.bNoFsPowerUp        = 0x0,
    .txPower 			= 0xa73f,
    .pRegOverride               = pOverrides,
    .centerFreq                 = 0x0364,
    .intFreq                    = 0x8000,
    .loDivider                  = 0x05,
};

// CMD_FS
rfc_CMD_FS_t RF_cmdFs =
{
    .commandNo = 0x0803,
    .status = 0x0000,
    .pNextOp = 0, // INSERT APPLICABLE POINTER: (uint8_t*)&xxx
    .startTime = 0x00000000,
    .startTrigger.triggerType = 0x0,
    .startTrigger.bEnaCmd = 0x0,
    .startTrigger.triggerNo = 0x0,
    .startTrigger.pastTrig = 0x0,
    .condition.rule = 0x1,
    .condition.nSkip = 0x0,
    .frequency = 0x0364,
    .fractFreq = 0x0000,
    .synthConf.bTxMode = 0x0,
    .synthConf.refFreq = 0x0,
    .__dummy0 = 0x00,
    .midPrecal = 0x00,
    .ktPrecal = 0x00,
    .tdcPrecal = 0x0000,
};

// CMD_PROP_TX
rfc_CMD_PROP_TX_t RF_cmdPropTx =
{
    .commandNo = 0x3801,
    .status = 0x0000,
    .pNextOp = 0, // INSERT APPLICABLE POINTER: (uint8_t*)&xxx
    .startTime = 0x00000000,
    .startTrigger.triggerType = 0x0,
    .startTrigger.bEnaCmd = 0x0,
    .startTrigger.triggerNo = 0x0,
    .startTrigger.pastTrig = 0x0,
    .condition.rule = 0x1,
    .condition.nSkip = 0x0,
    .pktConf.bFsOff = 0x0,
    .pktConf.bUseCrc = 0x1,
    .pktConf.bVarLen = 0x1,
    .pktLen = 0x1e, // SET APPLICATION PAYLOAD LENGTH
    .syncWord = 0x930b51de,
    .pPkt = 0, // INSERT APPLICABLE POINTER: (uint8_t*)&xxx
};

// CMD_PROP_RX
rfc_CMD_PROP_RX_t RF_cmdPropRx =
{
    .commandNo = 0x3802,
    .status = 0x0000,
    .pNextOp = 0, // INSERT APPLICABLE POINTER: (uint8_t*)&xxx
    .startTime = 0x00000000,
    .startTrigger.triggerType = 0x0,
    .startTrigger.bEnaCmd = 0x0,
    .startTrigger.triggerNo = 0x0,
    .startTrigger.pastTrig = 0x0,
    .condition.rule = 0x1,
    .condition.nSkip = 0x0,
    .pktConf.bFsOff = 0x0,
    .pktConf.bRepeatOk = 0x0,
    .pktConf.bRepeatNok = 0x0,
    .pktConf.bUseCrc = 0x1,
    .pktConf.bVarLen = 0x1,
    .pktConf.bChkAddress = 0x0,
    .pktConf.endType = 0x0,
    .pktConf.filterOp = 0x0,
    .rxConf.bAutoFlushIgnored = 0x0,
    .rxConf.bAutoFlushCrcErr = 0x0,
    .rxConf.bIncludeHdr = 0x1,
    .rxConf.bIncludeCrc = 0x0,
    .rxConf.bAppendRssi = 0x0,
    .rxConf.bAppendTimestamp = 0x0,
    .rxConf.bAppendStatus = 0x1,
    .syncWord = 0x930b51de,
    .maxPktLen = 0x7d, // MAKE SURE DATA ENTRY IS LARGE ENOUGH
    .address0 = 0xaa,
    .address1 = 0xbb,
    .endTrigger.triggerType = 0x1,
    .endTrigger.bEnaCmd = 0x0,
    .endTrigger.triggerNo = 0x0,
    .endTrigger.pastTrig = 0x0,
    .endTime = 0x00000000,
    .pQueue = 0, // INSERT APPLICABLE POINTER: (dataQueue_t*)&xxx
    .pOutput = 0, // INSERT APPLICABLE POINTER: (uint8_t*)&xxx
};

// CMD_TX_POWER_BOOST
rfc_CMD_TX_POWER_BOOST_t RF_cmdTxPowerBoost =
{
    .commandNo = 0x0816,
    .status = 0x0000,
    .pNextOp = 0, // INSERT APPLICABLE POINTER: (uint8_t*)&xxx
    .startTime = 0x00000000,
    .startTrigger.triggerType = 0x0,
    .startTrigger.bEnaCmd = 0x0,
    .startTrigger.triggerNo = 0x0,
    .startTrigger.pastTrig = 0x0,
    .condition.rule = 0x0,
    .condition.nSkip = 0x0,
    .vddrLevel = 0x00,
    .paTrimValue = 0x00,
};

// CMD_TX_TEST
rfc_CMD_TX_TEST_t RF_cmdTxTest =
{
    .commandNo = 0x0808,
    .status = 0x0000,
    .pNextOp = 0, // INSERT APPLICABLE POINTER: (uint8_t*)&xxx
    .startTime = 0x00000000,
    .startTrigger.triggerType = 0x0,
    .startTrigger.bEnaCmd = 0x0,
    .startTrigger.triggerNo = 0x0,
    .startTrigger.pastTrig = 0x0,
    .condition.rule = 0x1,
    .condition.nSkip = 0x0,
    .config.bUseCw = 0x0,
    .config.bFsOff = 0x0,
    .config.whitenMode = 0x2,
    .__dummy0 = 0x00,
    .txWord = 0xabcd,
    .__dummy1 = 0x00,
    .endTrigger.triggerType = 0x1,
    .endTrigger.bEnaCmd = 0x0,
    .endTrigger.triggerNo = 0x0,
    .endTrigger.pastTrig = 0x0,
    .syncWord = 0x930b51de,
    .endTime = 0x00000000,
};
